Package org.jboss.logmanager.config

# Interface HandlerConfiguration

All Superinterfaces:
  `HandlerContainingConfigurable`, `NamedConfigurable`, `ObjectConfigurable<Handler>`, `PropertyConfigurable`

public interface HandlerConfiguration extends HandlerContainingConfigurable, NamedConfigurable, PropertyConfigurable, ObjectConfigurable<Handler>
Configuration for a single handler.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`String`
`getEncoding()`
`ValueExpression<String>`
`getEncodingValueExpression()`
Returns the encoding which may be an expression.
`String`
`getErrorManagerName()`
`ValueExpression<String>`
`getErrorManagerNameValueExpression()`
Returns the error manager name which may be an expression.
`String`
`getFilter()`
`ValueExpression<String>`
`getFilterValueExpression()`
Returns a filter that may be an expression.
`String`
`getFormatterName()`
Get the name of the configured formatter for this handler.
`ValueExpression<String>`
`getFormatterNameValueExpression()`
Gets the formatter name which may be an expression.
`String`
`getLevel()`
Gets the level set on the handler.
`ValueExpression<String>`
`getLevelValueExpression()`
Returns the level that may be an expression.
`void`
`setEncoding(String name)`
`void`
`setEncoding(String expression, String value)`
Sets the expression value for the encoding.
`void`
`setErrorManagerName(String name)`
`void`
`setErrorManagerName(String expression, String value)`
Sets the expression value for the error manager name.
`void`
`setFilter(String name)`
`void`
`setFilter(String expression, String value)`
Sets the expression value and for the filter.
`void`
`setFormatterName(String name)`
Set the name of the configured formatter for this handler.
`void`
`setFormatterName(String expression, String value)`
Sets the expression value for the formatter name.
`void`
`setLevel(String level)`
Sets the level on the handler.
`void`
`setLevel(String expression, String level)`
Sets the expression value for the level.

### Methods inherited from interface org.jboss.logmanager.config.HandlerContainingConfigurable

`addHandlerName, getHandlerNames, removeHandlerName, setHandlerNames, setHandlerNames`

### Methods inherited from interface org.jboss.logmanager.config.NamedConfigurable

`getName`

### Methods inherited from interface org.jboss.logmanager.config.ObjectConfigurable

`getClassName, getInstance, getModuleName`

### Methods inherited from interface org.jboss.logmanager.config.PropertyConfigurable

`addPostConfigurationMethod, getConstructorProperties, getPostConfigurationMethods, getPropertyNames, getPropertyValueExpression, getPropertyValueString, hasConstructorProperty, hasProperty, removePostConfigurationMethod, removeProperty, setPostConfigurationMethods, setPostConfigurationMethods, setPropertyValueExpression, setPropertyValueExpression, setPropertyValueString`

## Method Details

### getFormatterName

String getFormatterName()
Get the name of the configured formatter for this handler.

Returns:
  the formatter name

### getFormatterNameValueExpression

ValueExpression<String> getFormatterNameValueExpression()
Gets the formatter name which may be an expression.

Returns:
  the formatter name

### setFormatterName

void setFormatterName(String name)
Set the name of the configured formatter for this handler.

Parameters:
  `name` - the formatter name

### setFormatterName

void setFormatterName(String expression, String value)
Sets the expression value for the formatter name.

This method will not parse the expression for the value and instead use the `level` parameter for the formatter name on the handler.

Parameters:
  `expression` - the expression used to resolve the level
  `value` - the value to set the formatter name to
See Also:
  - `setFormatterName(String)`
  - `ValueExpression`

### getLevel

String getLevel()
Gets the level set on the handler.

Returns:
  the level

### getLevelValueExpression

ValueExpression<String> getLevelValueExpression()
Returns the level that may be an expression.

Returns:
  the level

### setLevel

void setLevel(String level)
Sets the level on the handler.

Parameters:
  `level` - the level to set, may be an expression
See Also:
  - `ValueExpression`

### setLevel

void setLevel(String expression, String level)
Sets the expression value for the level.

This method will not parse the expression for the value and instead use the `level` parameter for the level on the handler.

Parameters:
  `expression` - the expression used to resolve the level
  `level` - the level to use
See Also:
  - `setLevel(String)`
  - `ValueExpression`

### getFilter

String getFilter()

### getFilterValueExpression

ValueExpression<String> getFilterValueExpression()
Returns a filter that may be an expression.

Returns:
  the filter

### setFilter

void setFilter(String name)

### setFilter

void setFilter(String expression, String value)
Sets the expression value and for the filter.

This method will not parse the expression for the value and instead use the `value` parameter for the filter on the handler.

Parameters:
  `expression` - the expression
  `value` - the value to set the filter to

### getEncoding

String getEncoding()

### getEncodingValueExpression

ValueExpression<String> getEncodingValueExpression()
Returns the encoding which may be an expression.

Returns:
  the encoding

### setEncoding

void setEncoding(String name)

### setEncoding

void setEncoding(String expression, String value)
Sets the expression value for the encoding.

This method will not parse the expression for the value and instead use the `value` parameter for the encoding on the handler.

Parameters:
  `expression` - the expression
  `value` - the value to set the encoding to
See Also:
  - `setEncoding(String)`
  - `ValueExpression`

### getErrorManagerName

String getErrorManagerName()

### getErrorManagerNameValueExpression

ValueExpression<String> getErrorManagerNameValueExpression()
Returns the error manager name which may be an expression.

Returns:
  the error manager name

### setErrorManagerName

void setErrorManagerName(String name)

### setErrorManagerName

void setErrorManagerName(String expression, String value)
Sets the expression value for the error manager name.

This method will not parse the expression for the value and instead use the `value` parameter for the error manager name on the handler.

Parameters:
  `expression` - the expression
  `value` - the value to set the error manager name to
See Also:
  - `setErrorManagerName(String)`
  - `ValueExpression`